require 'sinatra'
require 'faker'
require 'json'

get '/' do
  erb File.open("public/index.html.erb").read
end

get "/json" do
  
  content_type :json
  
  if !params[:n]
    result = deets
  else
    number = params[:n]
    number ||= 1
    result = []
    number.to_i.times do |i|
      result.push deets
    end
  end
  
  if params[:callback] || params[:fake_callback_for_ajax_demo]
    if params[:fake_callback_for_ajax_demo]
      callback = "jQuery9028374892374"
    else
      callback = params[:callback]
      if(callback == "?" && request.xhr?)
        callback = "jQuery9028374892374"
      end
    end
    
    if request.xhr?
      # response['content-type'] = 'text/html'
    end
    
    "#{callback}(#{result.to_json})"
  else
    result.to_json
  end
end

def deets
  return {
    :name               => Faker::Name.name,
    :first_name         => Faker::Name.first_name,
    :last_name          => Faker::Name.last_name,
    :prefix             => Faker::Name.prefix,
    :suffix             => Faker::Name.suffix,
    :city               => Faker::Address.city,
    :city_prefix        => Faker::Address.city_prefix,
    :city_suffix        => Faker::Address.city_suffix,
    :country            => Faker::Address.country,
    :secondary_address  => Faker::Address.secondary_address,
    :state              => Faker::Address.state,
    :state_abbr         => Faker::Address.state_abbr,
    :street_address     => Faker::Address.street_address,
    :street_name        => Faker::Address.street_name,
    :street_suffix      => Faker::Address.street_suffix,
    :zip_code           => Faker::Address.zip_code,
    :bs                 => Faker::Company.bs,
    :catch_phrase       => Faker::Company.catch_phrase,
    :name               => Faker::Company.name,
    :suffix             => Faker::Company.suffix,
    :domain_name        => Faker::Internet.domain_name,
    :domain_suffix      => Faker::Internet.domain_suffix,
    :domain_word        => Faker::Internet.domain_word,
    :email              => Faker::Internet.email,
    :free_email         => Faker::Internet.free_email,
    :ip_v4_address      => Faker::Internet.ip_v4_address,
    :ip_v6_address      => Faker::Internet.ip_v6_address,
    :user_name          => Faker::Internet.user_name
  }
end